import { defineComponent as i, useSlots as p, openBlock as c, createBlock as d, normalizeProps as t, guardReactiveProps as n, createSlots as u, renderList as m, withCtx as f, renderSlot as y } from "vue";
import "./ap-button.vue2.mjs";
import B from "./ap-button.vue.mjs";
const C = /* @__PURE__ */ i({
  __name: "ap-action-button",
  props: {
    prefixCls: {},
    htmlType: {},
    shape: {},
    size: {},
    loading: { type: [Boolean, Object], default: void 0 },
    disabled: { type: Boolean },
    ghost: { type: Boolean },
    block: { type: Boolean },
    danger: { type: Boolean },
    icon: {},
    href: {},
    target: {},
    title: {},
    onMousedown: {},
    autoInsertSpace: { type: Boolean },
    iconPosition: {},
    color: {},
    variant: {},
    type: { default: "borderLink" },
    borderLinkColor: {},
    minWidth: { type: [Boolean, Number, String], default: !0 },
    lazy: { type: [Boolean, Number], default: !0 },
    onClick: {}
  },
  setup(r) {
    const a = p(), l = r;
    return (e, b) => (c(), d(B, t(n({
      ...e.$attrs,
      ...l
    })), u({ _: 2 }, [
      m(a, (_, o) => ({
        name: o,
        fn: f((s) => [
          y(e.$slots, o, t(n(s || {})))
        ])
      }))
    ]), 1040));
  }
});
export {
  C as default
};
